io.swagger.client.model

## Class Application

- java.lang.Object
- - io.swagger.client.model.Application

-     public class Application
      extends Object

  Application

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Application()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Application` | `addApplicationRolesItem(ApplicationRole applicationRolesItem)`
    `Application` | `applicationRoles(List<ApplicationRole> applicationRoles)`
    `Application` | `createdByUserId(Integer createdByUserId)`
    `Application` | `createdDtTm(org.joda.time.DateTime createdDtTm)`
    `Application` | `description(String description)`
    `Application` | `displayName(String displayName)`
    `Application` | `enabled(Boolean enabled)`
    `boolean` | `equals(Object o)`
    `List<ApplicationRole>` | `getApplicationRoles()` Get applicationRoles
    `Integer` | `getCreatedByUserId()` Get createdByUserId
    `org.joda.time.DateTime` | `getCreatedDtTm()` Get createdDtTm
    `String` | `getDescription()` Get description
    `String` | `getDisplayName()` Get displayName
    `Integer` | `getId()` Get id
    `String` | `getName()` Get name
    `int` | `hashCode()`
    `Application` | `id(Integer id)`
    `Boolean` | `isEnabled()` Get enabled
    `Application` | `name(String name)`
    `void` | `setApplicationRoles(List<ApplicationRole> applicationRoles)`
    `void` | `setCreatedByUserId(Integer createdByUserId)`
    `void` | `setCreatedDtTm(org.joda.time.DateTime createdDtTm)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setEnabled(Boolean enabled)`
    `void` | `setId(Integer id)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Application

          public Application()

  - ### Method Detail

    - #### id

          public Application id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### name

          public Application name(String name)

    - #### getName

          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### description

          public Application description(String description)

    - #### getDescription

          public String getDescription()

      Get description
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### displayName

          public Application displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Get displayName
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### createdByUserId

          public Application createdByUserId(Integer createdByUserId)

    - #### getCreatedByUserId

          public Integer getCreatedByUserId()

      Get createdByUserId
      Returns:
        createdByUserId

    - #### setCreatedByUserId

          public void setCreatedByUserId(Integer createdByUserId)

    - #### createdDtTm

          public Application createdDtTm(org.joda.time.DateTime createdDtTm)

    - #### getCreatedDtTm

          public org.joda.time.DateTime getCreatedDtTm()

      Get createdDtTm
      Returns:
        createdDtTm

    - #### setCreatedDtTm

          public void setCreatedDtTm(org.joda.time.DateTime createdDtTm)

    - #### enabled

          public Application enabled(Boolean enabled)

    - #### isEnabled

          public Boolean isEnabled()

      Get enabled
      Returns:
        enabled

    - #### setEnabled

          public void setEnabled(Boolean enabled)

    - #### applicationRoles

          public Application applicationRoles(List<ApplicationRole> applicationRoles)

    - #### addApplicationRolesItem

          public Application addApplicationRolesItem(ApplicationRole applicationRolesItem)

    - #### getApplicationRoles

          public List<ApplicationRole> getApplicationRoles()

      Get applicationRoles
      Returns:
        applicationRoles

    - #### setApplicationRoles

          public void setApplicationRoles(List<ApplicationRole> applicationRoles)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.